uudoc(1)

NAME
uudoc - encode/decode data and print to standard output With no FILE, or when FILE is -, read standard input. The data are encoded as described for the base32 alphabet in RFC 4648. When decoding, the input may contain newlines in addition to the bytes of the formal base32 alphabet. Use --ignore-garbage to attempt to recover from any other non-alphabet bytes in the encoded stream.

SYNOPSIS
uudoc [-d|--decode] [-i|--ignore-garbage] [-w|--wrap] [-h|--help] [-V|--version] [file]

DESCRIPTION
encode/decode data and print to standard output With no FILE, or when FILE is -, read standard input.

The data are encoded as described for the base32 alphabet in RFC 4648. When decoding, the input may contain newlines in addition to the bytes of the formal base32 alphabet. Use --ignore-garbage to attempt to recover from any other non-alphabet bytes in the encoded stream.

OPTIONS

-d, --decode
    decode data

-i, --ignore-garbage
    when decoding, ignore non-alphabetic characters

-w, --wrap <COLS>
    wrap encoded lines after COLS character (default 76, 0 to disable wrapping)

-h, --help
    Print help

-V, --version
    Print version

[file]

EXTRA
Examples Encode a file: base32 {{path/to/file}} Wrap encoded output at a specific width (`0` disables wrapping): base32 {{[-w|--wrap]}} {{0|76|...}} {{path/to/file}} Decode a file: base32 {{[-d|--decode]}} {{path/to/file}} Encode from `stdin`: {{command}} | base32 Decode from `stdin`: {{command}} | base32 {{[-d|--decode]}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.4.0